<?php 
include("common/sql.php");
session_start();
if (!isset($_SESSION['login_user'])) {
	
	header('Refresh:2; url= ../');
	echo "<div class='centrat'>Has d'estar loguejat per accedir a aquesta pàgina</div>";
	die();
	
} else { 	
	$data_actual = date("Y-m-d");
	$bconcerts = $mysqli->query("SELECT * FROM `concerts` WHERE `data` >= '".$data_actual."' ORDER BY `data` ASC ");
	$concerts = array();
	while ($row = $bconcerts->fetch_assoc()) {
		$concerts[] = $row;
	}
		
	//Resultats per la llista dels concerts
	echo '<div class="centrat">';
		echo '<table>';
		echo '<tr>';
			echo '<th>Dia</th>';
			echo '<th>Horari</th>';
			echo '<th>Població</th>';
			echo '<th>Lloc</th>';
			echo '<th>Concert</th>';
		echo '</tr>';
			for ($i=0; $i<count($concerts); $i++) {	
				echo '<tr class="concert">';
					$antiga = $concerts[$i]['data'];
					$data = date("Y-m-d", strtotime($antiga)); //Creem la data nova
					$data = explode('-', $data);
					$data_nova = $data[0]."-".$data[1]."-".$data[2]; //Nou format de data
					$hora = $concerts[$i]['horari']; 
					$hora = substr($hora, 0, -3); //Treiem els segons de l'hora

					echo '<td><input type="date" class="'.$concerts[$i]['id'].' data" value="'.$data_nova.'" readonly ></td>';
					echo '<td><input type="text" class="'.$concerts[$i]['id'].' hora"  value="'.$hora.'" readonly></td>';
					echo '<td><input type="text" class="'.$concerts[$i]['id'].' poblacio" value="'.$concerts[$i]['poblacio'].'" readonly></td>';
					echo '<td><input type="text" class="'.$concerts[$i]['id'].' lloc" value="'.$concerts[$i]['lloc'].'" readonly></td>';
					echo '<td><input type="text" class="'.$concerts[$i]['id'].' obser" value="'.$concerts[$i]['obser'].'" readonly></td>';
					echo '<td><button class="edit_button" id="'.$concerts[$i]['id'].'" ><a>Editar</a></button><button class="delete_button" id="'.$concerts[$i]['id'].'"><a>Eliminar</a></button></td>';
					
				echo '</tr>';
			}
		echo '</table>';
		echo '<button class="create_button">Crear concert nou</button>';
		echo '<input id="logout" type="submit" value="Sortir" />';
		
		echo '<table id="form_hidden">';
		echo '<tr>';
		echo '<th>Dia</th>';
		echo '<th>Horari</th>';
		echo '<th>Població</th>';
		echo '<th>Lloc</th>';
		echo '<th>Concert</th>';
		echo '</tr>';
		echo '<td><input type="date" class="'.$concerts[$i]['id'].' insert_data"></td>';
		echo '<td><input type="text" class="'.$concerts[$i]['id'].' insert_hora"></td>';
		echo '<td><input type="text" class="'.$concerts[$i]['id'].' insert_poblacio"></td>';
		echo '<td><input type="text" class="'.$concerts[$i]['id'].' insert_lloc"></td>';
		echo '<td><input type="text" class="'.$concerts[$i]['id'].' insert_obser"></td>';
		echo '<td><button class="insert_button"><a>Insertar</a></button><button class="return_button"><a>Tornar</a></button></td>';
		echo '</tr>';
		echo '</table>';

		
	echo '<div id="resultat"></div>';
	echo '</div>'; ?>

<script>
	
	//Funcionalitat per editar una linia d'informació
	$(".edit_button").on("click", function(e)
	{
		e.preventDefault();
		var id_concert = $(this).attr('id');
		console.log(id_concert);
		//Veiem si estem en mode d'edició o no
		//Si no, posem en mode edició els camps, canviem colors de fons de la línea a editar i canviem el comportament del propi botó
		if($(this).contents().text()==='Editar'){
			$('.' + id_concert).attr('readonly',false);
			$('.' + id_concert).css("background-color", "var(--orange)");
			$(this ).find('a').text("Desar");
			$(this ).css("background-color", "var(--orange)");
			$(this ).next().text("Tornar");
			$(this ).next().css("background-color", "#0cd80c");
			
			$(".delete_button").on("click", function(e) { //Si es clica el boto de tornar es recarrega la pagina
				e.preventDefault();
				if ($(this).contents().text()==='Tornar') {
					location.reload();
				}
			});

		} else { //SI ja està en mode edició, passem la modificació realitzada a la base de dades
			var parametres = {
				'id_concert': id_concert,
				'data': $('.' + id_concert +'.data').val(),
				'poblacio': $('.' + id_concert +'.poblacio').val(),
				'lloc': $('.' + id_concert +'.lloc').val(),
				'horari': $('.' + id_concert +'.hora').val(),
				'obser': $('.' + id_concert +'.obser').val(),
				'mode': 1
			};
			$.ajax({
				data:  parametres,
				url:   '<?php echo $dominio ?>dinamic/edita_concert.php',
				type:  'post',
				success:  function (response) {
						location.reload();
				}
			});
		
			$('.' + id_concert).attr('readonly',true);
			$('.' + id_concert).css("background-color", "inherit");
			$(this ).find('a').text("Editar");
			$(this ).css("background-color", "initial");		
		}
	});
	
	
	//Funcionalitat per eliminar una linia d'informació
	$(".delete_button").on("click", function(e)
	{
		e.preventDefault();
		var id_concert = $(this).attr('id');
		if($(this).contents().text()==='Eliminar'){
			$('.' + id_concert).css("background-color", "red");
			$(this ).find('a').text("Segur?");
			$(this ).css("background-color", "red");
			$(this ).prev().text("Tornar");
			$(this ).prev().css("background-color", "#0cd80c");
			
			$(".edit_button").on("click", function(e) { //Si es clica el boto de tornar es recarrega la pagina
				e.preventDefault();
				if ($(this).contents().text()==='Tornar') {
					location.reload();
				}
			});
		} else if ($(this).contents().text()==='Segur?') {
			var parametres = {
				'id_concert': id_concert,
				'mode': 2
			};
			
			$.ajax({
				data:  parametres,
				url:   '<?php echo $dominio ?>dinamic/edita_concert.php',
				type:  'post',
				success:  function (response) {
						location.reload();
				}
			});

			$('.' + id_concert).css("background-color", "inherit");
			$(this ).find('a').text("Eliminar");
			$(this ).css("background-color", "initial");
		}
	});
	
	
	//Funcionalitat per insertar una nova línia d'informació
	$(".create_button").on("click", function(e)
	{
		$("#form_hidden").toggle();
		$(this ).css("display", "none");
       });
       
	$(".insert_button").on("click", function(e)
	{
		var parametres = {
				'data': $('.insert_data').val(),
				'poblacio': $('.insert_poblacio').val(),
				'lloc': $('.insert_lloc').val(),
				'horari': $('.insert_hora').val(),
				'obser': $('.insert_obser').val(),
				'mode': 3
			};
			console.log(parametres);
			$.ajax({
				data:  parametres,
				url:   '<?php echo $dominio ?>dinamic/edita_concert.php',
				type:  'post',
				success:  function (response) {
						location.reload();
				}
			});
			
		$("#form_hidden").toggle();
		$(".create_button").css("display", "inline-block");
       });
       
    $(".return_button").on("click", function(e)
		{
		$("#form_hidden").toggle();
		$(".create_button").css("display", "inline-block");
    });
	
	
	$("#logout").on("click", function(e) {
		e.preventDefault();	
		$.ajax({
			url:   '<?php echo $dominio ?>dinamic/logout.php',
			type:  'post',
			success:  function (response) {
					window.location.href= "../";
			}
		});
	});

</script>
<?php } ?>