<?php
	include("common/sql.php");
	$bmembres = $mysqli->query("SELECT * FROM `membres`");
	$membres = array();
	while ($row = $bmembres->fetch_assoc()) {
		$membres[] = $row;
	}
?>

<div class="centrat">
	<?php include($root.'common/bread.php'); ?>
</div>

<section id="membres">
	<div class="centrat">
		<h1>Membres del grup</h1>
		<ul id="llista" class="llista_membres">
			<?php
				for ($i = 0; $i < count($membres); $i++) {
					echo '<li id="'.$membres[$i]['id'].'"><img src="../recursos/imatges/'.$membres[$i]['img'].'"/><p>'.$membres[$i]['nom'].'</p></li>';
					$descripcio = $membres[$i]['descripcio'];
				}
			?>
		</ul>
	</div>
	<div id="info1" class="info_membres">
		<div id="info"></div>
	</div>
	<div class="background"></div>
</section>

<script>
	let desc = <?php echo json_encode($membres); ?>;
	
	$( ".llista_membres li" ).on( "click", function() {
		let id  = $(this).attr('id');
		$( "#info" ).html("<img src='../recursos/imatges/"+desc[id-1].img+"' /><div><span>"+desc[id-1].nom+"</span><p>"+desc[id-1].descripcio+"</p></div>");
		$( "#info1" ).fadeIn(500);
		$( ".background" ).fadeIn(500);
	});

	$( ".background" ).on( "click", function() {
		$( "#info1" ).fadeOut(500);
		$( ".llista_membres li" ).removeClass("active");
		$( ".background" ).fadeOut(500);
	});
	
</script>