<?php
	include("common/sql.php");
	//Busquem els concerts
	$data_actual = date("Y-m-d");
	$novaDataMin = strtotime ( '-1 year' , strtotime ( $data_actual ) ) ;
	$novaDataMax = strtotime ( '+2 month' , strtotime ( $data_actual ) ) ;
	
	$data_minima = date ( 'Y-m-j' , $novaDataMin );
	$data_maxima = date ( 'Y-m-j' , $novaDataMax );
	
	//Busquem els anys
	$any_anterior = explode('-', $data_minima);
	$any_anterior = $any_anterior[0];
	
	$any_actual = explode('-', $data_actual);
	$any_actual = $any_actual[0];
	
	$any_proxim = explode('-', $data_maxima);
	$any_proxim = $any_proxim[0];
	
	//Busquem els concert del mes anterior per posar llista per defecte
	$dates = explode("-", $data_actual);
	$mes = $dates[1];
	$any = $dates[0];

?>

<div class="centrat">
	<?php include($root.'common/bread.php'); ?>
</div>

<section id="section_one">
   	<div class="centrat">
        <h1>Agenda</h1>
        <h2>Escull un any</h2>
            <div id="seleccio">
                <ul id="anys">
                    <li class="any"><?php echo $any_anterior ?></li>
                    <li class="any"><?php echo $any_actual ?></li>
                    <?php if ($any_actual != $any_proxim) { ?><li class="any"><?php echo $any_proxim ?></li><?php }; ?>
                </ul>
            </div>
        </div>
       	<div id="llista_concert">
			<div class="centrat">
				<?php include 'select_concert.php'; ?>
            </div>        
        </div>
	</div>
</section>

<script>

	//Escollim el mes i any actual per defecte
	var data_avui = new Date();
	var mm = data_avui.getMonth()+1; //hoy es 0!
	var yyyy = data_avui.getFullYear();
	mm = mm.toString();
	yyyy = yyyy.toString();
	
	$("#anys li:contains('" + yyyy + "')").addClass("selected");
	
	//Seleccionem el mes i any actual per defecte
	var any = yyyy;
	$(".any").on( "click", function() {
		$(".any").removeClass("selected");
		$(this).addClass("selected");
		any = $(this).text();
	});
	
	//Enviem la petició per les dades selccionades
	$("#seleccio").on( "click", function() {
		if (any != '')
		{
			var parametres = {
                "any" : any
			};
			$.ajax({
					data:  parametres,
					url:   '<?php echo $dominio ?>dinamic/select_concert.php',
					type:  'post',
					beforeSend: function () {
						$("#llista_concert .centrat").html("Carregant, espera si us plau...");
					},
					success:  function (response) {
						$("#llista_concert .centrat").html(response);
					}
        });
		}
	});
	
</script>