<div class="centrat">
	<?php include($root.'common/bread.php'); ?>
</div>

<section id="section_one">
	<div class="centrat">
        <h1>Contacte General</h1>
        <p><span>Persona de contacte: </span>Martí Coll</p>
        <p><span>Correu electrònic: </span><a href="mailto:info@lagirasol.cat">info@lagirasol.cat</a></p>
        <p><span>Tel/Fax: </span>93 794 20 70</p>
        <p><span>Mòbil: </span>606 455 430</p>
    </div>
</section>

<section id="section_two">
	<div class="separacio_orange">
        <div class="centrat">
            <h2>Per consultes, suggeriments, opinions i el que et vingui de gust</h2>
        </div>
    </div>
    <div class="centrat">
        <p>Si el que vols és fer-nos una consulta, o una suggerencia, dir-nos la teva opinió, què t'agrada o què no, escriu-nos a <a  href="mailto:info@lagirasol.cat">info@lagirasol.cat</a> o omple aquest formulari!</p>
        <form method="post" name="contact_form" id="contact_form">
            <input type="hidden" id="contacte" name="contacte" />  
            <label>Nom i Congnoms: *
            	<input type="text" id="name" name="name" class="" />  
                <span id="error_nom"></span>
            </label>   
            <label>Correu electrònic: * 
	            <input type="text" id="mail" name="mail" />
                <span id="error_mail"></span>    
            </label>
            <label>Repeteix el correu electrònic: *
            	<input type="text" id="mail2" name="mail2" />    
                <span id="error_mail2"></span>           
            </label>
            <label>La seva consulta: *
            	<textarea type="text" id="thiscontent" name="thiscontent" ></textarea>
                <span id="error_consulta"></span>  
            </label>
            <div id="send_holder">
            	<input class="submit" type="submit" name="button" id="button_form" value="Enviar" />
            </div>
            <p>* Camps obligatoris</p>
            <span id="consulta_enviada"></span>  
        </form>
    </div>
</section>

<section id="section_three">
	<div class="separacio_blue">
        <div class="centrat">
            <h2>Contractació</h2>
        </div>
    </div>
    <div class="centrat">
        <p>Si el que vols és sol·licitar informació sobre contractació, quins dies tenim disponibles, pressupostos, riders, etc... Envia el següent formulari de contractació.</p>
        <form method="post" name="contractacio_form" id="contractacio_form">  
            <input type="hidden" id="contractacio" name="contractacio" />
            <label>Nom: *
                <input type="text" id="name2" name="name2" />
                <span id="error_nom2"></span>
            </label>
            <label>En representació de: *
                <input type="text" id="representacio" name="representacio" />
                <span id="error_representacio"></span>
            </label>
            <label>Telèfon de contacte:
                <input type="number" id="phone" name="phone"  />
                <span id="error_phone"></span>
            </label>
            <label>Correu electrònic: *       
                <input type="text" id="mail21" name="mail21" />
                <span id="error_mail21"></span> 
            </label>
            <label>Repeteix el correu electrònic: *
                <input type="text" id="mail22" name="mail22" />
                <span id="error_mail22"></span>
            </label>
            <label>Quina informació desitjes? *       
            	<textarea type="text" id="thiscontent2" name="thiscontent2" ></textarea>
                <span id="error_consulta2"></span>
            </label>
            <div id="send_holder">
            	<input class="submit" type="submit" name="button2" id="button_form2" value="Enviar" />
            </div>
            <p>* Camps obligatoris</p>
            <span id="consulta_enviada2"></span>
        </form>
    </div>
</section>

<script>
//Verificació formulari contacte
$("#contact_form").on("submit", function(e)
{	
		e.preventDefault();	
		document.getElementById('error_nom').innerHTML = "";
		document.getElementById('name').className = "";
		document.getElementById('error_mail').innerHTML = "";
		document.getElementById('mail').className = "";
		document.getElementById('error_mail2').innerHTML = "";
		document.getElementById('mail2').className = "";
		document.getElementById('error_consulta').innerHTML = "";
		document.getElementById('thiscontent').className = "";

		strcontent = 0;
		errorarr = new Array();		
		formname = document.getElementById('name').value;
		formmail = document.getElementById('mail').value;
		formmail2 = document.getElementById('mail2').value;
		formcontent = $('#thiscontent').val();
		strcontent = formcontent.length ;
		
		function validar_email( email )
		{
			var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			return regex.test(email) ? true : false;
		}
		
		if(formname == ""){
			document.getElementById('error_nom').innerHTML = "No ha introduït el seu nom.";
			document.getElementById('name').className = "error";
		}
		if(formmail == ""){
			document.getElementById('error_mail').innerHTML = "No ha introduït el seu correu.";
			document.getElementById('mail').className = "error";
		}
		else if (validar_email(formmail) == false) {
			document.getElementById('error_mail').innerHTML = "El correu introduït és incorrecte.";
			document.getElementById('mail').className = "error";
		}
		if(formmail != formmail2){
			document.getElementById('error_mail2').innerHTML = "El seu correu no coincideix.";
			document.getElementById('mail2').className = "error";
		}
		if(strcontent < 5){
			document.getElementById('error_consulta').innerHTML = "No ha realitzat cap consulta.";
			document.getElementById('thiscontent').className = "error";
		}
		
		var errors = "";
		if($("#contact_form input").hasClass("error") || $("#contact_form textarea").hasClass("error"))
		{}
		else
		{
			var parametres = {
                "nom" : $("#contact_form #name").val(),
                "mail" : $("#contact_form #mail").val(),
				"consulta": $("#contact_form #thiscontent").val()
			};
			
			$.ajax({
				data:  parametres,
				url:   '<?php echo $dominio ?>dinamic/enviar_consultes.php',
				type:  'post',
				beforeSend: function () {
					$("#contact_form #button_form").val("Enviant...");
				},
				success:  function (response) {
					$("#contact_form #consulta_enviada").html("Consulta enviada, ens posarem en contacte amb vostè al més aviat possible.");
					$("#contact_form #button_form").val("Enviar");
					$("#contact_form #name").val("");
					$("#contact_form #mail").val("");
					$("#contact_form #mail2").val("");
					$("#contact_form #thiscontent").val("");
				}
        	});
		}
});
</script>




<script>
//Verificació formulari contracte
$("#contractacio_form").on("submit", function(e)
{	
		e.preventDefault();	
		document.getElementById('error_nom2').innerHTML = "";
		document.getElementById('name2').className = "";
		document.getElementById('error_representacio').innerHTML = "";
		document.getElementById('representacio').className = "";
		document.getElementById('error_phone').innerHTML = "";
		document.getElementById('phone').className = "";
		document.getElementById('error_mail21').innerHTML = "";
		document.getElementById('mail21').className = "";
		document.getElementById('error_mail22').innerHTML = "";
		document.getElementById('mail22').className = "";
		document.getElementById('error_consulta2').innerHTML = "";
		document.getElementById('thiscontent2').className = "";

		strcontent = 0;
		errorarr = new Array();		
		formname = document.getElementById('name2').value;
		formrepresentacio = document.getElementById('representacio').value;
		formphone = document.getElementById('phone').value;
		formmail = document.getElementById('mail21').value;
		formmail2 = document.getElementById('mail22').value;
		formcontent = $('#thiscontent2').val();
		strcontent = formcontent.length ;
		
		function validar_email( email )
		{
			var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			return regex.test(email) ? true : false;
		}
		
		if(formname == ""){
			document.getElementById('error_nom2').innerHTML = "No ha introduït el seu nom.";
			document.getElementById('name2').className = "error";
		}
		if(formrepresentacio == ""){
			document.getElementById('error_representacio').innerHTML = "No ha introduït a qui representa.";
			document.getElementById('representacio').className = "error";
		}
		if(formphone.length > 0 && formphone.length < 9){
			document.getElementById('error_phone').innerHTML = "El número de telèfon introduït no és correcte.";
			document.getElementById('phone').className = "error";
		}
		if(formmail == ""){
			document.getElementById('error_mail21').innerHTML = "No ha introduït el seu correu.";
			document.getElementById('mail21').className = "error";
		}
		else if (validar_email(formmail) == false) {
			document.getElementById('error_mail21').innerHTML = "El correu introduït és incorrecte.";
			document.getElementById('mail21').className = "error";
		}
		if(formmail != formmail2){
			document.getElementById('error_mail22').innerHTML = "El seu correu no coincideix.";
			document.getElementById('mail22').className = "error";
		}
		if(strcontent < 5){
			document.getElementById('error_consulta2').innerHTML = "No ha realitzat cap consulta.";
			document.getElementById('thiscontent2').className = "error";
		}
		
		var errors = "";
		if($("#contractacio_form input").hasClass("error") || $("#contractacio_form textarea").hasClass("error"))
		{}
		else
		{
			var parametres = {
                "nom" : $("#contractacio_form #name2").val(),
				"representacio" : $("#contractacio_form #representacio").val(),
				"phone" : $("#contractacio_form #phone").val(),
                "mail" : $("#contractacio_form #mail21").val(),
				"consulta": $("#contractacio_form #thiscontent2").val()
			};
			
			$.ajax({
				data:  parametres,
				url:   '<?php echo $dominio ?>dinamic/enviar_contractacio.php',
				type:  'post',
				beforeSend: function () {
					$("#contact_form #button_form").val("Enviant...");
				},
				success:  function (response) {
					$("#contractacio_form #consulta_enviada2").html("Consulta enviada, ens posarem en contacte amb vostè al més aviat possible.");
					$("#contractacio_form #button_form2").val("Enviar");
					$("#contractacio_form #name2").val("");
					$("#contractacio_form #representacio").val("");
					$("#contractacio_form #phone").val("");
					$("#contractacio_form #mail21").val("");
					$("#contractacio_form #mail22").val("");
					$("#contractacio_form #thiscontent2").val("");
				}
        	});
		}
});
</script>