<?php
	include("common/sql.php");
	//Busquem els concerts
	$data_actual = date("Y-m-d");
	$novaData = strtotime ( '+1 month' , strtotime ( $data_actual ) ) ;
	$data_maxima = date ( 'Y-m-j' , $novaData );
	$bconcert = $mysqli->query("SELECT * FROM `concerts` WHERE `data` >= '$data_actual' AND `data` <= '$data_maxima'");
	$concert = array();
	while ($row = $bconcert->fetch_assoc()) {
		$concert[] = $row;
	}

?>
<section id="section_one">
	<div class="centrat">
    	<ul class="bxslider">
          <li><img src="recursos/imatges/slider1.jpg" /></li>
          <li><img src="recursos/imatges/slider2.jpg" /></li>
        </ul>
    </div>
</section>
<section id="section_two">
	<?php if (count($concert) > 0) {?>
        <div class="separacio_orange">
            <div class="centrat">
                <h2>PRÒXIMS CONCERTS</h2>
            </div>
        </div>
        <div class="centrat">
                <div id="llista_concert">
                    <?php for ($i=0; $i < count($concert); $i++) {
                        echo '<div class="concert">';
                            $antiga = $concert[$i]['data'];
                            $data = date("d-m", strtotime($antiga)); //Creem la data nova
                            $data = explode('-', $data);
                            switch($data[1]){
                                case '01': $data[1] = 'GEN';
                                break;
                                case '02': $data[1] = 'FEBR';
                                break;
                                case '03': $data[1] = 'MARÇ';
                                break;
                                case '04': $data[1] = 'ABR';
                                break;
                                case '05': $data[1] = 'MAIG';
                                break;
                                case '06': $data[1] = 'JUNY';
                                break;
                                case '07': $data[1] = 'JUL';
                                break;
                                case '08': $data[1] = 'AGO';
                                break;
                                case '09': $data[1] = 'SET';
                                break;
                                case '10': $data[1] = 'OCT';
                                break;
                                case '11': $data[1] = 'NOV';
                                break;
                                case '12': $data[1] = 'DES';
                                break;
                            }
                            
                            $hora = $concert[$i]['horari']; 
                            $hora = substr($hora, 0, -3); //Treiem els segons de l'hora
                            
                            $obser = $concert[$i]['obser'];						
                            $image_espectacle = '';
                            switch ($obser) {
                                case 'Festa del Sol': $image_espectacle = 'sol2.png';
                                break;
                                case 'Solversions': $image_espectacle = 'solversions.png';
                                break;
                                case 'Entresol': $image_espectacle = 'saxo.png';
                                break;
								default: $image_espectacle = 'saxo.png';
                            }
                            
                            echo '<div id="imatge_concert"><img src="recursos/imatges/'.$image_espectacle.'" /></div>';
                            echo '<div id="horari">';
								echo '<div><i class="far fa-calendar-alt"></i>';
                            	echo '<p>'.$data[0].' '.$data[1].'</p></div>';
                            	echo '<div><i class="far fa-clock"></i>';
                            	echo '<p>'.$hora.'</p></div>';
                            echo '</div>';
                            echo '<div id="concert_lloc"><i class="fas fa-map-marker-alt"></i>';
								echo '<p class="poble">'.$concert[$i]['poblacio'];
								if ($concert[$i]['lloc'] == 'NULL' || $concert[$i]['lloc'] != '') { //Si hi ha lloc del concert
									echo ' - '.$concert[$i]['lloc'].'</p>';
								}
								if ($obser == 'NULL' || $obser != '') {  //Si hi ha observacions
									echo '<div><i class="fas fa-microphone"></i>';
									echo '<p>'.$obser.'</p></div>';
								}
							echo '</div>';
                        echo '</div>';
                  }?>
                </div>
        </div>
	<?php } ?>
</section>
<section id="section_three">
	<div class="separacio_blue">
    	<div class="centrat">
        	<h2>QUÈ OFERIM?</h2>
        </div>
    </div>
	<div class="centrat">
		<div id="oferta">
		<h3>ESPECTACLES DESTACATS</h3>
			<div id="ball" class="target">
				<h4>Ball</h4>
				<div>
					<p>L'Orquestra Gira-sol pot oferir més de 6 hores d'espectacle. Tu tries com necessites el ball: durada, tipus de ball,... TRIA LA COMBINACIÓ QUE VULGUIS!!</p>
					<p><span>Ball de saló: </span>1,30 hores</p>
					<p><span>Ball popular: </span>1,30 hores</p>
					<p><span>Ball modern: </span>1,30 hores</p>
					<p><a target="_blank" href="https://www.youtube.com/watch?v=g7cqF9pHAHA&feature=youtu.be">Veure el vídeo balls de saló i concert</a></p>
				</div>
				<img src="recursos/imatges/girasol3D.png" />
			</div>
			<div id="solversions" class="target">
				<div>
					<h4>Solversions</h4>
					<p>Solversions consisteix en 3 hores de música en directe de versions adreçat al públic jove i de mitjana edat.</p>
					<p><a target="_blank" href="https://www.youtube.com/watch?v=hFb6y6rqMhM&feature=youtu.be">Veure el vídeo Solversions</a></p>
				</div>
				<img src="recursos/imatges/solversions.png" />
			</div>
			<div id="festa-sol" class="target">
				<div>
					<h4>Festa del sol</h4>
					<p>La festa del sol ofereix 5 hores de festa amb la Gira-sol i el seu Xanquer. Una combinació dels nostres balls, algun especial i espectacles pirotècnics. NO T'HO PERDIS.</p>
				</div>
				<img src="recursos/imatges/sol2.png" />
			</div>
		</div>
		<div id="musica">
			<h3>MÚSICA</h3>
			<div>
				<p>La festa del peatge</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/la-festa-del-peatge.mp3" />
				</audio>
				<p>Capitan Tequila</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/Capitan-Tequila.mp3" />
				</audio>
				<p>Madness-Sarri</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/Madness-Sarri.mp3" />
				</audio>
				<p>Puff, era un drac magic</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/Puff-era-un-drac-magic.mp3" />
				</audio>
				<p>Qualsevol nit pot sortir el Sol</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/Qualsevol-nit-pot-sortir-el-Sol.mp3" />
				</audio>
				<p>Patum</p>
				<audio controls controlsList="nodownload">
					<source src="recursos/audio/Patum.mp3" />
				</audio>
			</div>
		</div>
	</div>
</section>

<script>
$(function(){
  $('.bxslider').bxSlider({
    mode: 'fade'
  });
});
	
$(function(){
	$("audio").on("play", function() {
		$("audio").not(this).each(function(index, audio) {
			audio.pause();
		});
	});
});
</script>